Package de.gebit.integrity.runner

## Class DefaultTestRunner.RemotingListener

- java.lang.Object
- - de.gebit.integrity.runner.DefaultTestRunner.RemotingListener

- All Implemented Interfaces:
    `IntegrityRemotingServerListener`
  Enclosing class:
    DefaultTestRunner

      protected class DefaultTestRunner.RemotingListener
      extends Object
      implements IntegrityRemotingServerListener

  The listener used to respond on actions triggered by remoting clients.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RemotingListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onConnectionLost​(Endpoint anEndpoint)` | Called when a connection to a client was lost.
    `void` | `onConnectionSuccessful​(IntegrityRemotingVersionMessage aRemoteVersion, Endpoint anEndpoint)` | Called when a connection attempt from a client was successful.
    `void` | `onCreateBreakpoint​(Integer anEntryReference, Endpoint anEndpoint)` | Called when a client wants to create a breakpoint.
    `void` | `onForkSetupRetrieval​(List<? extends TestResourceProvider> someResourceProviders, SetList aSetList, Map<String,​Object> someVariableValues, int aNumberOfSuiteInvocations)` | Called when a client (typically a fork master) injects its entire test script set and set list state into the server.
    `void` | `onPauseCommand​(Endpoint anEndpoint)` | Called when a "pause tests" command from a client came in.
    `void` | `onRemoveBreakpoint​(Integer anEntryReference, Endpoint anEndpoint)` | Called when a client wants to remove a breakpoint.
    `void` | `onRunCommand​(Endpoint anEndpoint)` | Called when a "run tests" command from a client came in.
    `void` | `onSetListRequest​(Endpoint anEndpoint)` | Called when a set list request from a client came in.
    `void` | `onShutdownRequest()` | Called when a client requested a process shutdown.
    `void` | `onStepIntoCommand​(Endpoint anEndpoint)` | Called when a "step into" command from a client came in.
    `void` | `onTimeSyncResponse​(TimeSyncResultMessage aResult)` | Called when a timesync response has arrived.
    `void` | `onTimeSyncState​(long aRealtimeOffset, long aRealtimeDecouplingTime, double aProgressionFactor)` | Called when a timesync state has arrived.
    `void` | `onVariableUnsetRetrieval​(String aVariableName)` | Called when an unsetting of a variable was received from a master.
    `void` | `onVariableUpdateRetrieval​(String aVariableName, Serializable aValue)` | Called when an update for a variable was received from a master.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemotingListener

          protected RemotingListener()

  - ### Method Detail

    - #### onConnectionSuccessful

          public void onConnectionSuccessful​(IntegrityRemotingVersionMessage aRemoteVersion,
                                             Endpoint anEndpoint)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a connection attempt from a client was successful.
      Specified by:
        `onConnectionSuccessful` in interface `IntegrityRemotingServerListener`
      Parameters:
        `aRemoteVersion` - the version of the client
        `anEndpoint` - the endpoint

    - #### onSetListRequest

          public void onSetListRequest​(Endpoint anEndpoint)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a set list request from a client came in.
      Specified by:
        `onSetListRequest` in interface `IntegrityRemotingServerListener`
      Parameters:
        `anEndpoint` - the endpoint

    - #### onForkSetupRetrieval

          public void onForkSetupRetrieval​(List<? extends TestResourceProvider> someResourceProviders,
                                           SetList aSetList,
                                           Map<String,​Object> someVariableValues,
                                           int aNumberOfSuiteInvocations)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a client (typically a fork master) injects its entire test script set and set list state into the server.
      Specified by:
        `onForkSetupRetrieval` in interface `IntegrityRemotingServerListener`
      Parameters:
        `someResourceProviders` - the resource providers to load
        `aSetList` - the initial set list state
        `someVariableValues` - the initial state of variables and constants
        `aNumberOfSuiteInvocations` - the total number of suites to execute on this fork

    - #### onRunCommand

          public void onRunCommand​(Endpoint anEndpoint)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a "run tests" command from a client came in.
      Specified by:
        `onRunCommand` in interface `IntegrityRemotingServerListener`
      Parameters:
        `anEndpoint` - the endpoint

    - #### onConnectionLost

          public void onConnectionLost​(Endpoint anEndpoint)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a connection to a client was lost.
      Specified by:
        `onConnectionLost` in interface `IntegrityRemotingServerListener`
      Parameters:
        `anEndpoint` - the endpoint

    - #### onPauseCommand

          public void onPauseCommand​(Endpoint anEndpoint)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a "pause tests" command from a client came in.
      Specified by:
        `onPauseCommand` in interface `IntegrityRemotingServerListener`
      Parameters:
        `anEndpoint` - the endpoint

    - #### onStepIntoCommand

          public void onStepIntoCommand​(Endpoint anEndpoint)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a "step into" command from a client came in.
      Specified by:
        `onStepIntoCommand` in interface `IntegrityRemotingServerListener`
      Parameters:
        `anEndpoint` - the endpoint

    - #### onCreateBreakpoint

          public void onCreateBreakpoint​(Integer anEntryReference,
                                         Endpoint anEndpoint)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a client wants to create a breakpoint.
      Specified by:
        `onCreateBreakpoint` in interface `IntegrityRemotingServerListener`
      Parameters:
        `anEntryReference` - the entry at which the breakpoint shall be created
        `anEndpoint` - the endpoint

    - #### onRemoveBreakpoint

          public void onRemoveBreakpoint​(Integer anEntryReference,
                                         Endpoint anEndpoint)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a client wants to remove a breakpoint.
      Specified by:
        `onRemoveBreakpoint` in interface `IntegrityRemotingServerListener`
      Parameters:
        `anEntryReference` - the entry at which the breakpoint shall be removed
        `anEndpoint` - the endpoint

    - #### onVariableUpdateRetrieval

          public void onVariableUpdateRetrieval​(String aVariableName,
                                                Serializable aValue)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when an update for a variable was received from a master.
      Specified by:
        `onVariableUpdateRetrieval` in interface `IntegrityRemotingServerListener`
      Parameters:
        `aVariableName` - the name of the variable
        `aValue` - the new value

    - #### onVariableUnsetRetrieval

          public void onVariableUnsetRetrieval​(String aVariableName)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when an unsetting of a variable was received from a master.
      Specified by:
        `onVariableUnsetRetrieval` in interface `IntegrityRemotingServerListener`
      Parameters:
        `aVariableName` - the name of the variable

    - #### onTimeSyncState

          public void onTimeSyncState​(long aRealtimeOffset,
                                      long aRealtimeDecouplingTime,
                                      double aProgressionFactor)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a timesync state has arrived.
      Specified by:
        `onTimeSyncState` in interface `IntegrityRemotingServerListener`
      Parameters:
        `aRealtimeOffset` - the offset of our test time from real system time (wall clock)
        `aRealtimeDecouplingTime` - the point in real time at which our test time was decoupled from system time
        `aProgressionFactor` - the speed at which the test time should progress (1.0 is normal speed, progression factor may be negative too, or 0.0, which means time is frozen)

    - #### onTimeSyncResponse

          public void onTimeSyncResponse​(TimeSyncResultMessage aResult)

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a timesync response has arrived. If the arguments' error fields are null, this was successful.
      Specified by:
        `onTimeSyncResponse` in interface `IntegrityRemotingServerListener`

    - #### onShutdownRequest

          public void onShutdownRequest()

      Description copied from interface: `IntegrityRemotingServerListener`
      Called when a client requested a process shutdown.
      Specified by:
        `onShutdownRequest` in interface `IntegrityRemotingServerListener`